Deploying Client Applications


About this Tour

Basics

Set Up Computer Wizard

Terminal Services

Learn More


About this Tour

This tour provides a short introduction to deploying client applications.

You may navigate through this tour using the buttons above or by clicking the links to the left.

This tour explains the following:

  • The basics of client applications.
  • The Set Up Computer Wizard.
  • The use of Terminal Services in application-sharing mode.

At the end of the tour, additional information about deploying client applications is listed on the Learn More page, which may include links to Web resources, links to Online Help topics or other tours, references to the Small Business Server 2000 Planning and Installation guide, and additional reference material such as Knowledge Base articles and Microsoft Press publications.


Client Application Basics

Small Business Server 2000 helps automate the task of setting up your network and deploying applications to client workstations. The options on the following pages will show you the ways in which you can get more out of aging hardware and centrally manage your applications. Small Business Server 2000 makes workstation setup and maintenance much easier.


Set Up Computer Wizard

After running the Add User Wizard to create user accounts, the next task is to set up your client workstations. Using the Small Business Server 2000 Set Up Computer Wizard, the often tedious task of workstation configuration is managed in three easy steps. For details, click a link below:

  1. Set Up Computer Wizard
  2. Networking Setup
  3. Application Setup

At any time you can extend the number of applications available to clients during this process by:

  • Extending the Set Up Computer Wizard


1. Set Up Computer Wizard

The Set Up Computer Wizard automates the task of setting up network connectivity on a client workstation. The wizard creates a computer account and then creates one floppy disk that can be used to set up networking on all client workstations. Additionally, you can specify client applications to install on workstations.


2. Networking Setup

When you run the floppy disk created with the Set Up Computer Wizard, you can specify a computer name for the workstation and configure the networking settings. If TCP/IP is not already installed and configured, Client Setup then installs it, binds it to the network adapter card, and configures it. When Client Setup is complete, the workstation restarts and is ready for the user to log on.


3. Application Setup

After users log on to the domain, they are asked if they want to accept preselected client applications for installation on their workstations. If they agree, the applications are installed and configured automatically.


Extending the Set Up Computer Wizard

Using the Set Up Computer Wizard, you can install a number of default applications on a workstation. By extending the wizard, you can also install additional or third-party applications, provided that they support command line installation.


Terminal Services Client

Terminal Services, running on its own Windows 2000 server computer in application-server mode, integrates client workstations without much processing power into your Small Business Server 2000 network. All application processing occurs on the server, which sends an emulated desktop to the client.

Note If you run Terminal Services in application-server mode, you must purchase client licenses.

After a user logs on to both the client computer and the server running Terminal Services, applications then open in the Terminal Services window on the client desktop. The user on the client computer works as though the application were running locally. For information about setup and performance, click a link below:

  • Client Setup
  • Performance


Client Setup

On a server running Terminal Services, you can create a Terminal Services client floppy disk and use it to install Terminal Services onto a client computer. After the installation is complete, a user can then log on to the server running Terminal Services.

Supported clients include Windows 2000 Professional, Windows NT Workstation 4.0, Windows ME, Windows 95/98, Windows 3.x, and Windows CE Handheld PC 3.0.


Performance

The table shows how many users can simultaneously use a server running Terminal Services in application-sharing mode if Terminal Services is installed on a member server and on an NTFS-formatted drive partition.

Configuration | Task | Typical
200-MHz single processor, 128 MB* | 25 | 15
200-MHz dual processor, 512 MB* | 50 | 30

*More RAM and an upgraded processor can accommodate more users.

  • Task-based users use a single data-entry application.
  • Typical users run one or two applications at a time, with light to moderate data processing demands.


Learn More

You have now finished the Deploying Client Applications tour. For additional information, click the links below to go to the appropriate resource.

Web Site

Small Business Server

Search Knowledge Base

Microsoft Technet

Microsoft Press

Online Help

Connect Client Computer to Network

Add Software to Existing Client Computer

Customize the Setup Computer Wizard

Planning Guide

Microsoft Small Business Server Planning and Installation, Chapter 12, "Client Considerations," and Chapter 13, "Deploying Office 2000."

Planning and Installation Online